set get-beat(name) get-beat
set get-beat(short) gbt
set get-beat(purpose) {get beat info of components}
set get-beat(invoke) {get-beat OR gbt <list of components> [what]}
set get-beat(help) {component name can be:
  fm - frequency modulater
  am - amplitude modulater
  os - octave shifter
  br - beater
  what can be:
    all
    first
    last}
set get-beat(examples) {get-beat br ;# return current beat of the beater
gbt {fm am} ;# get beat of fm & am
get-beat br all ;# return current beat, first beat & last beat of the gater
{0.5 0 1} ;# sample response}
